[@rxap/forms](../wiki/globals) / FormLoadingDirective

# Class: FormLoadingDirective

Defined in: [packages/angular/forms/src/lib/directives/form-loading.directive.ts:20](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-loading.directive.ts#L20)

## Implements

- `AfterViewInit`
- `OnDestroy`

## Constructors

### new FormLoadingDirective()

> **new FormLoadingDirective**(`formDirective`, `template`, `viewContainerRef`): [`FormLoadingDirective`](../wiki/Class.FormLoadingDirective)

Defined in: [packages/angular/forms/src/lib/directives/form-loading.directive.ts:24](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-loading.directive.ts#L24)

#### Parameters

##### formDirective

[`FormDirective`](../wiki/Class.FormDirective)

##### template

`TemplateRef`\<`void`\>

##### viewContainerRef

`ViewContainerRef`

#### Returns

[`FormLoadingDirective`](../wiki/Class.FormLoadingDirective)

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-loading.directive.ts:31](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-loading.directive.ts#L31)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-loading.directive.ts:43](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-loading.directive.ts#L43)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`
